<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
<!--
var canvas = null, ctx = null; 
function paint() { 
	ctx.fillStyle = '#0f0'; 
	ctx.fillRect(50, 50, 100, 60); 
	ctx.fillStyle='#ccc';
	ctx.fillRect(0, 0, 10, 20); 
} 

function init() { 
	canvas = document.getElementById('canvas'); 
	ctx = canvas.getContext('2d'); 
	ctx.beginPath();
	canvas.addEventListener("mouseover",()=>{
		ctx.moveTo(event.offsetX, event.offsetY);
	});
	
	canvas.addEventListener("mousemove",(event)=>{
		ctx.fillStyle = '#0f0'; 
		// ctx.fillRect(event.offsetX, event.offsetY, 10, 10); 
	
		ctx.lineTo(event.offsetX, event.offsetY);
		ctx.stroke();
	});
} 

window.addEventListener('load', init); 

//-->
</script>
</head>

<body>
<h1>Mi primer Ejemplo</h1> 
<div>
<canvas id="canvas" width="800" height="400" style="background:#999"> 
Canvas no soportado. 
</canvas>
</div> 

</body>
</html>